libzypp 17.37.10

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > > Struct Template Reference

`#include <zypp-core/zyppng/pipelines/lift.h>`

## Public Types
using | LiftedFun = std::shared_ptr<AsyncOp>

## Public Member Functions
| lifter (LiftedFun &&fun)
| lifter (lifter &&)=default
| ~lifter ()
template<typename T1, typename T2>
auto | operator() (std::pair< T1, T2 > &&data)

## Private Attributes
LiftedFun | _fun

## Detailed Description

template<typename AsyncOp>
struct zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >

Definition at line 46 of file lift.h.

## Member Typedef Documentation

## ◆ LiftedFun

template<typename AsyncOp>

using zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::LiftedFun = std::shared_ptr<AsyncOp>

Definition at line 48 of file lift.h.

## Constructor & Destructor Documentation

## ◆ lifter() [1/2]

template<typename AsyncOp>

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::lifter | ( | LiftedFun && | fun | ) |
| inline

Definition at line 50 of file lift.h.

## ◆ lifter() [2/2]

template<typename AsyncOp>

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::lifter | ( | lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > > && |  | ) |
| default

## ◆ ~lifter()

template<typename AsyncOp>

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::~lifter | ( |  | ) |
| inline

Definition at line 52 of file lift.h.

## Member Function Documentation

## ◆ operator()()

template<typename AsyncOp>
template<typename T1, typename T2>

auto zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::operator() | ( | std::pair< T1, T2 > && | data | ) |
| inline

Definition at line 57 of file lift.h.

## Member Data Documentation

## ◆ _fun

template<typename AsyncOp>

LiftedFun zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::_fun
| private

Definition at line 69 of file lift.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/lift.h